> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Articles

> Search Articles.



## OpenAPI

````yaml GET /articles/search
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags: []
paths:
  /articles/search:
    get:
      tags:
        - Articles
      summary: Search articles
      parameters:
        - in: query
          name: q
          schema:
            type: string
            example: droopy
        - in: query
          name: page
          schema:
            type: integer
            example: 1
        - in: query
          name: limit
          schema:
            type: integer
            example: 20
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                success: true
                statusCode: 200
                message: OK
                data:
                  items:
                    - id: '{{objectId}}'
                      slug: droopy-nose
                      mainTitle:
                        en: Droopy Nose
                        es: Nariz caída
                  pagination:
                    total: 1
                    page: 1
                    limit: 20
                    totalPages: 1
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                success: false
                statusCode: 401
                message: Unauthorized
                data: null
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````